Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.interceptor
Class AbstractEnvelopeInterceptor

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.interceptor.AbstractEnvelopeInterceptor

All Implemented Interfaces:
  FlowConstructAware, MuleContextAware, Interceptor, InterceptingMessageProcessor, MessageProcessor, MessageSource

Direct Known Subclasses:
  LoggingInterceptor, ProcessingTimeInterceptor

    public abstract class AbstractEnvelopeInterceptor

extends AbstractInterceptingMessageProcessor
implements Interceptor, FlowConstructAware

`EnvelopeInterceptor` is an intercepter that will fire before and after an event is received.

Field Summary
`protected FlowConstruct` | `flowConstruct`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, muleContext, next, notificationHandler`

Constructor Summary
`AbstractEnvelopeInterceptor()`

Method Summary
`abstract MuleEvent` | `after(MuleEvent event)` This method is invoked after the event has been processed, unless an exception was thrown
`abstract MuleEvent` | `before(MuleEvent event)` This method is invoked before the event is processed
`abstract MuleEvent` | `last(MuleEvent event, ProcessingTime time, long startTime, boolean exceptionWasThrown)` This method is always invoked after the event has been processed,
`MuleEvent` | `process(MuleEvent event)` Invoked when the component should be called.
`void` | `setFlowConstruct(FlowConstruct flowConstruct)`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener, setMuleContext, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.source.MessageSource
`setListener`

Field Detail

### flowConstruct

    protected FlowConstruct flowConstruct

Constructor Detail

### AbstractEnvelopeInterceptor

    public AbstractEnvelopeInterceptor()

Method Detail

### before

    public abstract MuleEvent before(MuleEvent event)
                              throws MuleException

  This method is invoked before the event is processed

  Throws:
    `MuleException`

### after

    public abstract MuleEvent after(MuleEvent event)
                             throws MuleException

  This method is invoked after the event has been processed, unless an exception was thrown

  Throws:
    `MuleException`

### last

    public abstract MuleEvent last(MuleEvent event,
                                   ProcessingTime time,
                                   long startTime,
                                   boolean exceptionWasThrown)
                            throws MuleException

  This method is always invoked after the event has been processed,

  Throws:
    `MuleException`

### process

    public MuleEvent process(MuleEvent event)
                      throws MuleException

  Description copied from interface: `Interceptor`
  Invoked when the component should be called. The implementation can call next.process(event) to call the component or the next filer in the chain.

  Specified by:
    `process` in interface `Interceptor`
  Specified by:
    `process` in interface `MessageProcessor`
  Parameters:
    `event` - the event containing info about the current message and service
  Returns:
    A result message that may have been altered by this invocation
  Throws:
    `MuleException`

### setFlowConstruct

    public void setFlowConstruct(FlowConstruct flowConstruct)

  Specified by:
    `setFlowConstruct` in interface `FlowConstructAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.